package com.xzzn.ems.mapper;

import com.xzzn.ems.domain.EmsStrategyLog;

import java.util.List;

/**
 * 策略运行日志Mapper接口
 * 
 * @author xzzn
 * @date 2025-12-26
 */
public interface EmsStrategyLogMapper 
{
    /**
     * 查询策略运行日志
     * 
     * @param id 策略运行日志主键
     * @return 策略运行日志
     */
    public EmsStrategyLog selectEmsStrategyLogById(Long id);

    /**
     * 查询策略运行日志列表
     * 
     * @param emsStrategyLog 策略运行日志
     * @return 策略运行日志集合
     */
    public List<EmsStrategyLog> selectEmsStrategyLogList(EmsStrategyLog emsStrategyLog);

    /**
     * 新增策略运行日志
     * 
     * @param emsStrategyLog 策略运行日志
     * @return 结果
     */
    public int insertEmsStrategyLog(EmsStrategyLog emsStrategyLog);

    /**
     * 修改策略运行日志
     * 
     * @param emsStrategyLog 策略运行日志
     * @return 结果
     */
    public int updateEmsStrategyLog(EmsStrategyLog emsStrategyLog);

    /**
     * 删除策略运行日志
     * 
     * @param id 策略运行日志主键
     * @return 结果
     */
    public int deleteEmsStrategyLogById(Long id);

    /**
     * 批量删除策略运行日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsStrategyLogByIds(Long[] ids);

    EmsStrategyLog getLastStrategyLog(EmsStrategyLog query);
}
